Bug 1310062 - Prune Image failed with nil error
Prune Image failed with nil error
Status: CLOSED ERRATA
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry (Show other bugs)
3.2.0
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Maciej Szulik
Wei Sun
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-19 06:05 EST by zhou ying
Modified: 2016-05-12 12:29 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-12 12:29:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description zhou ying 2016-02-19 06:05:04 EST
Description of problem:
Prune Image  failed with nil error .

Version-Release number of selected component (if applicable):
openshift v3.1.1.903
kubernetes v1.2.0-origin
etcd 2.2.2+git
docker 1.9

How reproducible:
always

Steps to Reproduce:
1. Pull the images.
  docker pull busybox
  docker pull openshift/hello-openshift

2. Tag busybox with stream1, push it.
  docker tag -f busybox 172.30.x.x:5000/$project/$stream1
  docker push 172.30.x.x:5000/$project/$stream1

3. Tag hello-openshift with stream1, push it.
  docker tag -f openshift/hello-openshift 172.30.x.x:5000/$project/$stream1
  docker push 172.30.x.x:5000/$project/$stream1

4. Wait for 1 minutes.

5. Tag hello-openshift with stream2, push it.
  docker tag -f busybox 172.30.x.x:5000/$project/$stream2
  docker push 172.30.x.x:5000/$project/$stream2
  docker tag -f openshift/hello-openshift 172.30.x.x:5000/$project/$stream2
  docker push 172.30.x.x:5000/$project/$stream2

6.On master:
# oadm policy add-cluster-role-to-user system:image-pruner yinzhou@redhat.com
# oc expose service docker-registry
# oc get route
<--here get registry route url for the following steps--->

7. As user use command to prune images with dry run enabled:
`oadm prune images --keep-younger-than=1m --keep-tag-revisions=1`
[root@zhouy roottest]# oadm prune images --keep-younger-than=1m --keep-tag-revisions=1
Dry run enabled - no modifications will be made. Add --confirm to remove images

Deleting registry layer blobs ...
BLOB
sha256:73a878c178b8e45edadacac0e888218218995bff7f1f964907143aeea02c7df1
sha256:f810322bba2c5f0a6dd58ba31eba0543baabb4533e479ab2db376aaa8064be55

Deleting images from server ...
IMAGE
sha256:361f09402e967bc4c91ef80aaee91c6b08b9180550df574cefa3017eefdca82d
sha256:cbe72dd29ee8a3214d4d01daddc581ed11958a39744d5091df331f969ba36342
sha256:442576348ed22ce8808e49574eae6711b67b8933c1ec46e348ca1aef4f81de7a


8. As user use command to prune images:
`oadm prune images --keep-younger-than=1m --keep-tag-revisions=1 --confirm --registry-url='docker-registry-default.0218-rfd.qe.rhcloud.com'`

Actual results:
8. Can't prune Image which referenced by an image stream whose age is < the minimum pruning age, with error:
[root@zhouy roottest]# oadm prune images --keep-younger-than=1m --keep-tag-revisions=1 --confirm --registry-url='docker-registry-default.0218-rfd.qe.rhcloud.com'

Deleting registry layer blobs ...
BLOB
sha256:f810322bba2c5f0a6dd58ba31eba0543baabb4533e479ab2db376aaa8064be55
error deleting blob sha256:f810322bba2c5f0a6dd58ba31eba0543baabb4533e479ab2db376aaa8064be55 from the registry: <nil>
sha256:73a878c178b8e45edadacac0e888218218995bff7f1f964907143aeea02c7df1
error deleting blob sha256:73a878c178b8e45edadacac0e888218218995bff7f1f964907143aeea02c7df1 from the registry: <nil>
error pruning blob "sha256:f810322bba2c5f0a6dd58ba31eba0543baabb4533e479ab2db376aaa8064be55": <nil>
error pruning blob "sha256:73a878c178b8e45edadacac0e888218218995bff7f1f964907143aeea02c7df1": <nil>

After step 8,when do the step 7 again, still show the images which should be pruned.

Expected results:
Should prune the image correctly.

Additional info:
On ami devenv-rhel7_3467 instance no such issue.
Comment 1 Michail Kargakis 2016-02-29 11:16:38 EST
Zhou,

is this specific to accessing the registry via a route? Can you reproduce this if you try to pass the service host:port as the --registry-url?
Comment 2 Michail Kargakis 2016-03-09 08:34:47 EST
Got back to this today. On latest master with all the images recently rebuilt (make release), I am able to prune with both the service IP and the route.

# push an image, make sure the router service account has the right permissions

$ oadm prune images --keep-younger-than=1s --keep-tag-revisions=0 --confirm --registry-url='docker-registry-default.router.default.svc.cluster.local'
Deleting references from image streams to images ...
STREAM           IMAGE                                                                     TAGS
default/stream   sha256:f60ea108af1f48029c29abb37bd3653f81c331976e361cae72e95d816a1a1cf0   latest

Deleting registry repository layer links ...
REPO             LAYER
default/stream   sha256:a3ed95caeb02ffe68cdd9fd84406680ae93d633cb16422d00e8a7c22955b46d4
default/stream   sha256:f810322bba2c5f0a6dd58ba31eba0543baabb4533e479ab2db376aaa8064be55

Deleting registry layer blobs ...
BLOB
sha256:a3ed95caeb02ffe68cdd9fd84406680ae93d633cb16422d00e8a7c22955b46d4
sha256:f810322bba2c5f0a6dd58ba31eba0543baabb4533e479ab2db376aaa8064be55

Deleting registry repository manifest data ...
REPO             IMAGE
default/stream   sha256:f60ea108af1f48029c29abb37bd3653f81c331976e361cae72e95d816a1a1cf0

Deleting images from server ...
IMAGE
sha256:f60ea108af1f48029c29abb37bd3653f81c331976e361cae72e95d816a1a1cf0

# repushing the image...

$ oadm prune images --keep-younger-than=1s --keep-tag-revisions=0 --confirm --registry-url='172.30.165.213:5000'
Deleting references from image streams to images ...
STREAM           IMAGE                                                                     TAGS
default/stream   sha256:f60ea108af1f48029c29abb37bd3653f81c331976e361cae72e95d816a1a1cf0   latest

Deleting registry repository layer links ...
REPO             LAYER
default/stream   sha256:f810322bba2c5f0a6dd58ba31eba0543baabb4533e479ab2db376aaa8064be55
default/stream   sha256:a3ed95caeb02ffe68cdd9fd84406680ae93d633cb16422d00e8a7c22955b46d4

Deleting registry layer blobs ...
BLOB
sha256:f810322bba2c5f0a6dd58ba31eba0543baabb4533e479ab2db376aaa8064be55
sha256:a3ed95caeb02ffe68cdd9fd84406680ae93d633cb16422d00e8a7c22955b46d4

Deleting registry repository manifest data ...
REPO             IMAGE
default/stream   sha256:f60ea108af1f48029c29abb37bd3653f81c331976e361cae72e95d816a1a1cf0

Deleting images from server ...
IMAGE
sha256:f60ea108af1f48029c29abb37bd3653f81c331976e361cae72e95d816a1a1cf0
Comment 3 Michail Kargakis 2016-03-09 09:19:17 EST
Also using the same steps as in the description: http://pastebin.com/sxLphvBv
Comment 4 Michail Kargakis 2016-03-11 11:19:48 EST
Re-assigning to Maciej so this can have more eyes on it.
Comment 5 Maciej Szulik 2016-03-18 06:33:11 EDT
PR is here: https://github.com/openshift/origin/pull/8116
Comment 6 openshift-github-bot 2016-03-19 00:24:31 EDT
Commits pushed to master at https://github.com/openshift/origin

https://github.com/openshift/origin/commit/5758b1cb6740eaa52813c8e434059662e448b4cb
Bug 1310062 - Fallback to http if status code is not 2xx/3xx when deleting
layers.

https://github.com/openshift/origin/commit/780a7aed8b5608f5e9d376eeead7317a60cb4602
Merge pull request #8116 from soltysh/bug1310062

Merged by openshift-bot
Comment 7 zhou ying 2016-03-23 04:49:33 EDT
I still can reproduce this issue on latest OSE:
openshift v3.2.0.5
kubernetes v1.2.0-36-g4a3f9c5
etcd 2.2.5


oadm prune images --keep-younger-than=1m --keep-tag-revisions=1 --registry-url='docker-registry-default.0321-27b.qe.rhcloud.com' --confirm
Deleting references from image streams to images ...
STREAM            IMAGE                                                                     TAGS
zhouyt/mystream   sha256:0793781412155c1e3061c92a2392ede1e16713054edb08d404c9b0d9a7d9e186   latest

Deleting registry repository layer links ...
error deleting repository zhouyt/mystream layer link sha256:385e281300cc6d88bdd155e0931fbdfbb1801c2b0265340a40481ee2b733ae66 from the registry: <nil>
REPO              LAYER
zhouyt/mystream   sha256:385e281300cc6d88bdd155e0931fbdfbb1801c2b0265340a40481ee2b733ae66

Deleting registry layer blobs ...
BLOB
sha256:4b3eff6853a3cb2513d09779fd6d2249204abbcd13f796f42e6184843a4e6806
error deleting blob sha256:4b3eff6853a3cb2513d09779fd6d2249204abbcd13f796f42e6184843a4e6806 from the registry: <nil>
sha256:9de29f3f4fe5100488a14741fc50bf721669a9e2bed7beec335cfc1b116c302d
Comment 8 Maciej Szulik 2016-03-23 06:17:31 EDT
Right, sorry that will be part of v3.2.0.6, marking modified, should be picked up during next build.
Comment 9 Troy Dawson 2016-03-23 17:24:51 EDT
This should be in OSE v3.2.0.7 that was build and pushed to qe today.
Comment 10 zhou ying 2016-03-24 04:21:00 EDT
Really on OSE v3.2.0.7? I still can reproduce this issue on latest OSE:
-bash-4.2# openshift version
openshift v3.2.0.7
kubernetes v1.2.0-36-g4a3f9c5
etcd 2.2.5

-bash-4.2# oc get route
NAME              HOST/PORT                                         PATH      SERVICE                    TERMINATION   LABELS
docker-registry   docker-registry-default.0324-1j5.qe.rhcloud.com             docker-registry:5000-tcp                 docker-registry=default

[root@zhouy testjson]# oadm prune images --keep-younger-than=1m --keep-tag-revisions=1 --registry-url='docker-registry-default.0324-1j5.qe.rhcloud.com' --confirm
Deleting references from image streams to images ...
STREAM        IMAGE                                                                     TAGS
zhouy/test1   sha256:8cc00e0b08a5b172a285a526e3d71d89728117d42f598eb614368aa70b898bc0   latest

Deleting registry repository layer links ...
REPO          LAYER
zhouy/test1   sha256:385e281300cc6d88bdd155e0931fbdfbb1801c2b0265340a40481ee2b733ae66

Deleting registry layer blobs ...
BLOB
sha256:d8e4a57ed999e14ffde6fddc8c7cdd321883c8ab63106681c5f36d2fbc774a8f
error deleting blob sha256:d8e4a57ed999e14ffde6fddc8c7cdd321883c8ab63106681c5f36d2fbc774a8f from the registry: <nil>
sha256:f075d88cadb6e82d374f1dd04ca9e6e44a24bbb524cf5b235e92bffca89c04fa
sha256:fad853d9f249b03efa811eb9d4d900d1738e52986fcbb87ee78c4c2dad63cf0c
error deleting blob sha256:fad853d9f249b03efa811eb9d4d900d1738e52986fcbb87ee78c4c2dad63cf0c from the registry: <nil>
sha256:385e281300cc6d88bdd155e0931fbdfbb1801c2b0265340a40481ee2b733ae66
sha256:91e0c708a9ac2bcc19644f4ef69528671f04cb5cc48b36c555a326e8e12fd12c
error deleting blob sha256:91e0c708a9ac2bcc19644f4ef69528671f04cb5cc48b36c555a326e8e12fd12c from the registry: <nil>

Deleting registry repository manifest data ...
REPO          IMAGE
zhouy/test1   sha256:8cc00e0b08a5b172a285a526e3d71d89728117d42f598eb614368aa70b898bc0
error pruning blob "sha256:d8e4a57ed999e14ffde6fddc8c7cdd321883c8ab63106681c5f36d2fbc774a8f": <nil>
error pruning blob "sha256:fad853d9f249b03efa811eb9d4d900d1738e52986fcbb87ee78c4c2dad63cf0c": <nil>
error pruning blob "sha256:91e0c708a9ac2bcc19644f4ef69528671f04cb5cc48b36c555a326e8e12fd12c": <nil>
Comment 11 Maciej Szulik 2016-03-24 09:08:13 EDT
Can you please attach the invocation with --loglevel=8 I'd like to see the API calls happening.
Comment 12 zhou ying 2016-03-30 06:45:38 EDT
[root@zhouy testjson-for-int]# oadm prune images --keep-younger-than=1m --keep-tag-revisions=1 --registry-url='docker-registry-default.0329-ukp.qe.rhcloud.com'  --confirm --loglevel=8
I0330 18:43:17.833018   22043 loader.go:241] Config loaded from file /root/.kube/config
I0330 18:43:17.838863   22043 loader.go:241] Config loaded from file /root/.kube/config
I0330 18:43:17.846165   22043 loader.go:241] Config loaded from file /root/.kube/config
I0330 18:43:17.851733   22043 loader.go:241] Config loaded from file /root/.kube/config
I0330 18:43:17.852211   22043 debugging.go:99] GET https://openshift-147.lab.sjc.redhat.com:8443/api
I0330 18:43:17.852219   22043 debugging.go:106] Request Headers:
I0330 18:43:17.852224   22043 debugging.go:109]     User-Agent: oadm/v1.1.0 (linux/amd64) kubernetes/4c8e6f4
I0330 18:43:17.852229   22043 debugging.go:109]     Authorization: Bearer XgdNRoz0GZrS-3pPONrhs5_MFITNo7SMQNbbgjrRi2Y
I0330 18:43:18.919371   22043 debugging.go:124] Response Status: 200 OK in 1067 milliseconds
I0330 18:43:18.919404   22043 debugging.go:127] Response Headers:
I0330 18:43:18.919416   22043 debugging.go:130]     Content-Type: application/json
I0330 18:43:18.919426   22043 debugging.go:130]     Date: Wed, 30 Mar 2016 10:43:53 GMT
I0330 18:43:18.919436   22043 debugging.go:130]     Content-Length: 145
I0330 18:43:18.919445   22043 debugging.go:130]     Cache-Control: no-store
I0330 18:43:18.919490   22043 request.go:796] Response Body: {"kind":"APIVersions","versions":["v1","v1beta3"],"serverAddressByClientCIDRs":[{"clientCIDR":"0.0.0.0/0","serverAddress":"192.168.1.226:443"}]}
I0330 18:43:18.929703   22043 loader.go:241] Config loaded from file /root/.kube/config
I0330 18:43:18.936494   22043 loader.go:241] Config loaded from file /root/.kube/config
I0330 18:43:18.936944   22043 debugging.go:99] GET https://openshift-147.lab.sjc.redhat.com:8443/oapi
I0330 18:43:18.936952   22043 debugging.go:106] Request Headers:
I0330 18:43:18.936956   22043 debugging.go:109]     User-Agent: oadm/v3.1.1.6 (linux/amd64) openshift/cd70c35
I0330 18:43:18.936961   22043 debugging.go:109]     Authorization: Bearer XgdNRoz0GZrS-3pPONrhs5_MFITNo7SMQNbbgjrRi2Y
I0330 18:43:19.200122   22043 debugging.go:124] Response Status: 200 OK in 263 milliseconds
I0330 18:43:19.200157   22043 debugging.go:127] Response Headers:
I0330 18:43:19.200169   22043 debugging.go:130]     Cache-Control: no-store
I0330 18:43:19.200179   22043 debugging.go:130]     Content-Type: application/json
I0330 18:43:19.200188   22043 debugging.go:130]     Date: Wed, 30 Mar 2016 10:43:53 GMT
I0330 18:43:19.200198   22043 debugging.go:130]     Content-Length: 93
I0330 18:43:19.200312   22043 request.go:796] Response Body: {"kind":"APIVersions","apiVersion":"v1","versions":["v1"],"serverAddressByClientCIDRs":null}
I0330 18:43:19.200543   22043 debugging.go:99] GET https://openshift-147.lab.sjc.redhat.com:8443/oapi/v1/images
I0330 18:43:19.200556   22043 debugging.go:106] Request Headers:
I0330 18:43:19.200565   22043 debugging.go:109]     User-Agent: oadm/v3.1.1.6 (linux/amd64) openshift/cd70c35
I0330 18:43:19.200574   22043 debugging.go:109]     Authorization: Bearer XgdNRoz0GZrS-3pPONrhs5_MFITNo7SMQNbbgjrRi2Y
I0330 18:43:20.618131   22043 debugging.go:124] Response Status: 200 OK in 1417 milliseconds
I0330 18:43:20.618190   22043 debugging.go:127] Response Headers:
I0330 18:43:20.618205   22043 debugging.go:130]     Cache-Control: no-store
I0330 18:43:20.618210   22043 debugging.go:130]     Content-Type: application/json
I0330 18:43:20.618215   22043 debugging.go:130]     Date: Wed, 30 Mar 2016 10:43:55 GMT
Comment 13 zhou ying 2016-03-30 06:50:04 EDT
I0330 18:43:41.212881   22043 imagepruner.go:278] Image "sha256:fc04d7c7e5585d56f36a3e884598ef68d9ad52ad7944ae0b02667ec21e75e3f7" with DockerImageReference "openshift/jenkins-1-centos7@sha256:fc04d7c7e5585d56f36a3e884598ef68d9ad52ad7944ae0b02667ec21e75e3f7" belongs to an external registry - skipping
I0330 18:43:41.212891   22043 imagepruner.go:275] Examining image "sha256:fe9de80be8041ff84d9c8a7d552cdbe5979809bb6b58d6f5a225d05ff29c3b26"
I0330 18:43:41.212898   22043 imagepruner.go:292] Adding image "sha256:fe9de80be8041ff84d9c8a7d552cdbe5979809bb6b58d6f5a225d05ff29c3b26" to graph
I0330 18:43:41.213155   22043 imagepruner.go:302] Adding image layer "sha256:766a5ef3ee59233fd15df58570db22f61d77c60fa0b46324a88e5bd913cd3831" to graph
I0330 18:43:41.213169   22043 imagepruner.go:302] Adding image layer "sha256:b10ed6c8aa2dae946cbd3ec6db0d28c63fe4b6a33da2050cc591e074da14dbb1" to graph
I0330 18:43:41.213180   22043 imagepruner.go:302] Adding image layer "sha256:8b78a70259bd59d77e58d8c2e1c419f6af07c3298090705f9cdaf80cb9d5fdf7" to graph
I0330 18:43:41.213190   22043 imagepruner.go:302] Adding image layer "sha256:f075d88cadb6e82d374f1dd04ca9e6e44a24bbb524cf5b235e92bffca89c04fa" to graph
I0330 18:43:41.213200   22043 imagepruner.go:322] Examining ImageStream fsr4r/sti-perl
I0330 18:43:41.213205   22043 imagepruner.go:334] Adding ImageStream fsr4r/sti-perl to graph
I0330 18:43:41.213223   22043 imagepruner.go:322] Examining ImageStream lxiap/ruby-22-centos7
I0330 18:43:41.213228   22043 imagepruner.go:334] Adding ImageStream lxiap/ruby-22-centos7 to graph
I0330 18:43:41.213245   22043 imagepruner.go:342] Unable to find image "sha256:990326b8ad8c4ae2619b24d019b7871bb10ab08c41e9d5b19d0b72cb0200e28c" in graph (from tag="latest", revision=0, dockerImageReference=centos/ruby-22-centos7@sha256:990326b8ad8c4ae2619b24d019b7871bb10ab08c41e9d5b19d0b72cb0200e28c)
I0330 18:43:41.213255   22043 imagepruner.go:322] Examining ImageStream lxiap/ruby-hello-world
I0330 18:43:41.213261   22043 imagepruner.go:334] Adding ImageStream lxiap/ruby-hello-world to graph
I0330 18:43:41.213277   22043 imagepruner.go:355] Checking for existing strong reference from stream lxiap/ruby-hello-world to image sha256:2f96018938604e778c60e3296611f6197720a661b43bb3d21709f1ec32699904
I0330 18:43:41.213285   22043 imagepruner.go:361] Adding edge (kind=%!d(string=ReferencedImage)) from "ImageStream|lxiap/ruby-hello-world" to "Image|/sha256:2f96018938604e778c60e3296611f6197720a661b43bb3d21709f1ec32699904"
I0330 18:43:41.213298   22043 imagepruner.go:364] Adding stream->layer references
I0330 18:43:41.213314   22043 imagepruner.go:370] Adding reference from stream "ruby-hello-world" to layer "sha256:196355c4b639d30f63444b2b00b2a5f24cfc8b274cefd2428294c06da0e0ba5d"
I0330 18:43:41.213326   22043 imagepruner.go:370] Adding reference from stream "ruby-hello-world" to layer "sha256:093c90c2329c77431c436377472dea8c642e5af8832eea5920aaf149d3be46e0"
I0330 18:43:41.213336   22043 imagepruner.go:370] Adding reference from stream "ruby-hello-world" to layer "sha256:05ca7c521133a9d714cd04f13cbddd6cf3b9da36da8555926c29d83b3902373c"
I0330 18:43:41.213346   22043 imagepruner.go:370] Adding reference from stream "ruby-hello-world" to layer "sha256:dd7c0294739adecef9229e1ef2bb06587953fc116d6f5ff975d98de709f46da1"
I0330 18:43:41.213356   22043 imagepruner.go:370] Adding reference from stream "ruby-hello-world" to layer "sha256:c91636b48158f64283ae82cc8ac718e9d045d112e0c97c5ec21572fbb9adcc74"
I0330 18:43:41.213367   22043 imagepruner.go:370] Adding reference from stream "ruby-hello-world" to layer "sha256:28c5f2a6095874fcc45424801740299819c25201e77ac6ce9eee8556c051df21"
I0330 18:43:41.213377   22043 imagepruner.go:370] Adding reference from stream "ruby-hello-world" to layer "sha256:a3ed95caeb02ffe68cdd9fd84406680ae93d633cb16422d00e8a7c22955b46d4"
I0330 18:43:41.213387   22043 imagepruner.go:370] Adding reference from stream "ruby-hello-world" to layer "sha256:0f99ed37bf384f3a3e8a7baf212836d7eca12d0e22ec374fd441ca894b0cd90e"
I0330 18:43:41.213399   22043 imagepruner.go:370] Adding reference from stream "ruby-hello-world" to layer "sha256:3da2fbe158ad4d87862e320fd6da0056a6c0604d741cf558e14597fb14e824c4"
I0330 18:43:41.213409   22043 imagepruner.go:370] Adding reference from stream "ruby-hello-world" to layer "sha256:659a36ed2cf81147fd80e9fc61799e0db6da23cf352080b461dd331cb4ca3e53"
I0330 18:43:41.213418   22043 imagepruner.go:322] Examining ImageStream openshift/jboss-amq-62
I0330 18:43:41.213423   22043 imagepruner.go:334] Adding ImageStream openshift/jboss-amq-62 to graph
I0330 18:43:41.213438   22043 imagepruner.go:342] Unable to find image "5dcbcf875ad6ce1fcb2dfdccef6dab0013be4b3c982597563f8760dfb5246d01" in graph (from tag="1.1", revision=0, dockerImageReference=registry.access.redhat.com/jboss-amq-6/amq62-openshift:1.1)
I0330 18:43:41.213635   22043 imagepruner.go:342] Unable to find image "1ac9fd48694766bf7f17a7f71f29033012769971bd0e95158d9ad8f1501f8d25" in graph (from tag="1.1-2", revision=0, dockerImageReference=registry.access.redhat.com/jboss-amq-6/amq62-openshift:1.1-2)
I0330 18:43:41.213666   22043 imagepruner.go:342] Unable to find image "5dcbcf875ad6ce1fcb2dfdccef6dab0013be4b3c982597563f8760dfb5246d01" in graph (from tag="1.1-6", revision=0, dockerImageReference=registry.access.redhat.com/jboss-amq-6/amq62-openshift:1.1-6)
I0330 18:43:41.213684   22043 imagepruner.go:342] Unable to find image "72fba33dfb93b7c2509348d97346fb3d87f4c5f9ff56bdbe461f63d105ea935b" in graph (from tag="1.2", revision=0, dockerImageReference=registry.access.redhat.com/jboss-amq-6/amq62-openshift:1.2)
I0330 18:43:41.213698   22043 imagepruner.go:342] Unable to find image "72fba33dfb93b7c2509348d97346fb3d87f4c5f9ff56bdbe461f63d105ea935b" in graph (from tag="latest", revision=0, dockerImageReference=registry.access.redhat.com/jboss-amq-6/amq62-openshift:latest)
I0330 18:43:41.213708   22043 imagepruner.go:322] Examining ImageStream openshift/jboss-datagrid65-openshift
Comment 14 Maciej Szulik 2016-03-30 07:27:24 EDT
The problem was the version of oadm binary:

[root@zhouy testjson-for-int]# oadm version
oadm v3.1.1.6-21-gcd70c35
kubernetes v1.1.0-origin-1107-g4c8e6f4

But should be the same as oc:

[root@zhouy testjson-for-int]# oc version
oc v3.2.0.7
kubernetes v1.2.0-36-g4a3f9c5

This can be clearly seen with this log output:
imagepruner.go:962] Pruning registry "docker-registry

In 3.2.0.7 this line is 967, 962 is from 3.2.0.5, still. Moving back to QA.
Comment 15 zhou ying 2016-03-30 07:46:41 EDT
With the latest oadm verion, the issue can't be reproduced:
[root@zhouy testjson-for-int]# oadm version
oadm v3.2.0.8
kubernetes v1.2.0-36-g4a3f9c5


sha256:e2c139dff23d6f1c9259e27795de4c300c3b188343bcf0544a481575dc813354
[root@zhouy testjson-for-int]# oadm prune images --keep-younger-than=1m --keep-tag-revisions=1 --registry-url='docker-registry-default.0329-ukp.qe.rhcloud.com' --confirm

Deleting registry layer blobs ...
BLOB
sha256:f1be801bbea3a5c4282f6b8c16127a447a5cdb0acf3c249637186567376c050e
sha256:74e8325cf7711b07441339a6ba3d86e859bd20b9c7ee192731f8a404c7f4734e
sha256:ddbde93b330cd630f918719ad4c48c6fb238e7c45780ff4e71f6aa1b3018cf32
sha256:21aec673120e1cee9da0f9de0bf83f1584265677f89d366ca9c246220b3b2f0f
sha256:209ad044a71704d43a63a0b05e196c9496fdadf82ae00f366f841fa0acc03104

Deleting images from server ...
IMAGE
sha256:e2c139dff23d6f1c9259e27795de4c300c3b188343bcf0544a481575dc813354
[root@zhouy testjson-for-int]# oadm prune images --keep-younger-than=1m --keep-tag-revisions=1 --registry-url='docker-registry-default.0329-ukp.qe.rhcloud.com' 
Dry run enabled - no modifications will be made. Add --confirm to remove images
Comment 17 errata-xmlrpc 2016-05-12 12:29:30 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2016:1064

Note You need to log in before you can comment on or make changes to this bug.